'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Card = function (_React$Component) {
  _inherits(Card, _React$Component);

  function Card() {
    _classCallCheck(this, Card);

    return _possibleConstructorReturn(this, (Card.__proto__ || Object.getPrototypeOf(Card)).apply(this, arguments));
  }

  _createClass(Card, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          center = _props.center,
          children = _props.children,
          id = _props.id,
          context = _props.context,
          width = _props.width;

      var attributes = {};
      var cssClass = 'card';
      if (width) {
        attributes['style'] = {};
        attributes['style']['width'] = width;
      }
      if (center) {
        cssClass += ' text-center';
      }
      if ('danger' === context) {
        cssClass += ' text-white bg-danger';
      } else if ('dark' === context) {
        cssClass += ' text-white bg-dark';
      } else if ('info' === context) {
        cssClass += ' text-white bg-info';
      } else if ('light' === context) {
        cssClass += ' bg-light';
      } else if ('primary' === context) {
        cssClass += ' text-white bg-primary';
      } else if ('secondary' === context) {
        cssClass += ' text-white bg-secondary';
      } else if ('success' === context) {
        cssClass += ' text-white bg-success';
      } else if ('warning' === context) {
        cssClass += ' text-white bg-warning';
      }
      return _react2.default.createElement(
        'div',
        _extends({ id: 'Card-' + id, className: cssClass }, attributes),
        children
      );
    }
  }]);

  return Card;
}(_react2.default.Component);

Card.defaultProps = {
  center: false,
  width: ''
};
Card.propTypes = {
  center: _propTypes2.default.bool,
  children: _propTypes2.default.node.isRequired,
  id: _propTypes2.default.string.isRequired,
  context: _propTypes2.default.oneOf(['danger', 'dark', 'info', 'light', 'primary', 'secondary', 'success', 'warning']),
  width: _propTypes2.default.string
};
exports.default = Card;